## Risky Artifacts
Adds 5 artifacts to ruin your run with.

- **Artifact of Origination**
	- Bosses invade the map every 10 minutes.
	- Invaders gain +50% movement speed, +30% attack speed, and +20% damage, -30% cooldown reduction, and adaptive armor.
	- Invaders drop items when killed, with a chance to drop Pearls.
	- 1 boss spawns for each player.
	- Config allows for Classic Origin, where only Imp Overlords spawn.
	
*Feedback on this would be greatly appreciated! Trying to figure out what bosses should be enabled/disabled with this (removed Beetle Queens and Worms already), or if the stat boosts need any adjustments. Once I'm more confident in the balance, I'll add a lot more config options.*

- **Artifact of Arrogance**
	- Mountain Shrines are permanent.
	
- **Artifact of Expansion**
	- Teleporter radius is mapwide, but takes longer to charge and prices are increased by 30%.
	- Doubles Moon/Void field holdout radius but increases their charge time.
	- Disables Focused Convergence while active.

- **Artifact of Conformity**
	- Prevents scrappers and printers from spawning.
	
- **Artifact of Warfare**
	- Boosts monster movement speed, attack speed, and projectile speed by 50%.
	
	
## For Mod Devs
If you are making a custom boss and want to add it to the Artifact of Origination spawn pool, add a softdependency to com.Moffein.RiskyArtifacts then do:
`Risky_Artifacts.Artifacts.Origin.AddSpawnCard(Spawncard, BossTier);`

Boss Tier affects when the boss can spawn.

Stage 1-2: 100% chance T1

Stage 3-4: 30% chance T1, 70% chance T2

Stage 5+: 25% chance T1, 65% chance T2, 10% chance T3


T1: Beetle Queen (disabled), Titan, Vagrant, Dunestrider

T2: Imp Overlord, Magma Worm (disabled), Solus Control Unit, Grovetender

T3: Grandparent

## Icon Credits

Warfare - MinHui12g

Conformity, Arrogance, Expansion, Origin - KoobyKarasu

## Installation

Place Risky_Artifacts.dll in /Risk of Rain 2/BepInEx/plugins/

## Changelog

`1.0.7`
- Origination
	- Bosses now only get Adaptive Armor after looping.
	- Each loop now causes extra bosses to spawn.
	- Redid how the total amount of bosses is calculated. This should fix bosses sometimes failing to spawn if certain players are dead.
		- New formula is Floor(0.5 + 0.5 x LivingPlayers) x Floor(StagesCompleted/5)

*I found that Origin bosses were feeling a bit too tanky early-on when you don't have the DPS to burst them down, but become trivial once you start looping and reach the point where you can burst them in seconds. Hoping to address both of these issues with this update. Considering making it so that multiple bosses combine into 1 elite boss if too many are spawning, but at the same time a large part of the appeal of Origin in RoR1 is the sheer amount of bosses that could spawn from it, so I'm leaving it as-is for now.*

`1.0.6`
Fixed the mod breaking when ProperSave isn't installed.

`1.0.5`
- Arrogance
	- Now supports ProperSave (Thanks kumakuma215!)

`1.0.4`
- Origination
	- Fixed bosses failing to spawn if a player is too far from an AI node.

`1.0.3`
- Origination
	- Spawn count reduced to 1 boss for every 2 players.
	
*In multiplayer, Origination can end up feeling like a cheap run-ender due to the sheer amount of HP and area suppression the bosses have, compared to regular Vengance clones who only become dangerous later into the run. This spawncount change should more closely match with how RoR2's difficulty scales with playercount, and will make taking ??? more impactful.*

`1.0.2`
- Origination
	- Damage bonus reduced +50% -> +20%
	- Attack speed bonus reduced +50% -> +30%
	- Cooldown Reduction bonus reduced -40% -> -30%
	
*The damage bonus was set to 1.5x to be lower than a T1 Elite's damage bonus, but it ended up being too much when combined with all their other attributes. -40% cooldowns and +50% attack speed were proving to be too much with Ancient Wisps, so they've been reduced slightly.*

`1.0.1`

- Fixed Expansion applying to the escape ship's holdout zone.

`1.0.0`

- Release